POST Invite a Candiate to a XoForm

This API invites a candidate to the specified form by returning the Invite Link.

Request URL

POST /forms/invite

Body Parameters

{
    "candidate_name": "string",
    "candidate_email": "string",
    "form_id": "integer",
    "invite_format": "string"
}

Warning

Make sure to add your API key in Header of the request

Parameters

Parameter

Type

Description

candidate_name

string

The name of the candidate whom you want to invite to the form.

candidate_email

string

The email of the candidate whom you want to invite to the form.

invite_format

enum

  • getlink: This option will only create an invite link for the candidate which can be shared.

  • sendlink: This option will send an invite to the candidate via email

form_id

integer

The Form ID to which you want to invite the candidate.

Response

  • A JSON response containing information about the Candidate Information and the Invite.

{
    "name": "string",
    "email": "string",
    "invite_link": "string",
    "form_id": "integer",
    "form_response_id": "integer",
    "form_name": "string",
    "status": "string"
}